' Game written by Vincent Erickson
' Published bye Creative Computing Magazine, and the the David Ahl books.

' Copyright 1980, 2011

Const buildversion = "2"
Const builddate = "04/13/11"

#Include "fbgfx.bi"
#if __FB_LANG__ = "fb"
Using FB '' Screen mode flags are in the FB namespace in lang FB
#EndIf

'#include "zlib.bi"

#Include "fmod.bi"
#include "windows.bi"
#include "win/shellapi.bi"
#Include "freeimage.bi"
#include "crt.bi"
#Include "vbcompat.bi"

'#Include "datetime.bi"
'#include "dir.bi"
'#Include "FBWinPrint.bi"
'#Include "file.bi"
'#Include "xfont.bi"


ScreenRes 640,400,32,2,GFX_WINDOWED
Width 640/8,400/16
Color RGB(255,255,255),RGB(0,0,0)
WindowTitle ("Sea Battle 1.0 FB - Build # "+Str(buildversion)+" Build Date "+Builddate)
Randomize Timer, 1

Cls
Print Tab(30);"Seabattle"
Print TAB(13);"Creative Computing  Morristown, New Jersey"
Print:Print:print

#Include ".\inc\variables.bi"
#Include ".\inc\commands.bi"

programexit=0

Restore
For RT=1 To 7
	Read Astring(RT)
Next
Print "What is your name for the log, Captain";
Input namestring
If namestring="" Then
	i=Int(Rnd*12)+1
	Select Case As Const I
		Case 1
			namestring="Ahab"
		Case 2
			namestring="Kirk"
		Case 3
			namestring="Cook"
		Case 4
			namestring="Nemo"
		Case 5
			namestring="Bligh"
		Case 6
			namestring="Drake"
		Case 7
			namestring="Picard"
		Case 8
			namestring="Magellan"
		Case 9
			namestring="Sparrow"
		Case 10
			namestring="Nelson"
		Case 11
			namestring="Perry"
		Case Else
			namestring="Morgan"
	End Select
EndIf
namestring="Captain "+namestring 
Print

Do 
	gameinit
	gameexit=0

	Do 
		Print "Press any key to continue"
		Do 
			tempstring=InKey
		Loop Until (tempstring<>"")
		sonar
		Print "What are your orders ";namestring;
		Input orders
		Select Case As Const orders
			Case 0 
				navigation
			Case 1
				sonar2
			Case 2
				torpedocontrol
			Case 3
				polarismisslecontrol
			Case 4
				manuervering
			Case 5
				statusdamagereport
			Case 6
				headquarters
			Case 7
				sabotage
			Case 8
				powerconversion
			Case 9
				surrender
			Case Else
				Print "The commands are:"
				Print "          #0: Navigation"
				Print "          #1: Sonar"
				Print "          #2: Torpedo Control"
				Print "          #3: Polaris Missile Control"
				Print "          #4: Manuevering"
				Print "          #5: Status/Damage Report"
				Print "          #6: Headquarterss"
				Print "          #7: Sabotage"
				Print "          #8: Power Conversion"
				Print "          #9: Surrender"				
		End Select
	Loop Until (gameexit=1)

	Print "Want another game";
	Input tempstring
	If uCase(LEFT(tempstring,1))<>"Y" Then programexit=1

Loop Until (programexit=1)

Data "   ","***",">V<","<R>","!H!"," $ ","-#-"
Data "Engines","Sonar","Torpedos","Missles","Manuevering"
Data "Status","Headquarters","Sabotage","Converter"
Data -1,0,-1,1,0,1,1,1,1,0,1,-1,0,-1,-1,-1
Data 0,1,1,1,0,0,0,1,1,1,1,0,1,1,1,0,1,1,1,1,0,0,0,1 
Data 1,1,0,0,1,1,0,1,1,0,1,0,0,0,1,0,0,0

